# Run as root
if [ `whoami` != "root" ]; then
  echo "Run this script as root"
  exit 1
fi

pid_file=/tmp/verthandi-tmp/wireless_hostapd_pid
# Check previous instance
if [ -e "$pid_file" ]; then
  pid=`cat $pid_file`
  kill -0 "$pid"
  if [ $? == 0 ]; then
    # old instance running, exit
    exit 0
  fi
fi

# Start Wireless
ifconfig wlan0 192.168.150.1
# Start DHCP/DNS server
service dnsmasq restart
# Enable routing
sysctl net.ipv4.ip_forward=1
# Enable NAT
iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
#echo "Starting HostAPD"
# Run access point daemon
hostapd /etc/hostapd/hostapd.conf >/dev/null 2>&1 &
# Save PID
pid=$!
# create tmp folder
pid_folder=`dirname "$pid_file"`
if [ ! -d "$pid_folder" ]; then
  mkdir "$pid_folder"
fi
echo "$pid" > "$pid_file"
