# Run as root
if [ `whoami` != "root" ]; then
  echo "Run this script as root"
  exit 1
fi

pid_file=/tmp/verthandi-tmp/wireless_hostapd_pid
# Kill previous instance
if [ -e "$pid_file" ]; then
  pid=`cat $pid_file`
  kill -0 "$pid"
  if [ $? == 0 ]; then
    # old instance running, Kill and clean
    kill "$pid"
    # Cleanup
    iptables -D POSTROUTING -t nat -o eth0 -j MASQUERADE
    # Disable routing
    sysctl net.ipv4.ip_forward=0
    # Disable DHCP/DNS server
    service dnsmasq stop
    service hostapd stop
  fi
fi

